<template>
    <AdminMenuBar>
        <div class="flex items-center items-justify">
            <resourceForm
            :formFields="formFields"
            :isEditing="isEditing"
            :method="method"
            :url="url"
        ></resourceForm>
        </div>
    </AdminMenuBar>
</template>

<script setup>
import { ref, onMounted } from "vue";
import resourceForm from "../form/resourceForm.vue";
import formHelper from "../../helpers/form";

const { rules, resetForm } = formHelper;
const isEditing = ref(false);
const method = "POST";
const url = ref("/api/user/item"); 
const formFields = ref([
    {
        prop: "name",
        label: "Product name",
        rules: [rules.required],
        type: "input",
    },
    {
        prop: "price",
        label: "Price",
        rules: [rules.number],
        type: "input-number",
    },
    {
        prop: "description",
        label: "Description",
        rules: [rules.required],
        type: "textarea",
    },
    {
        prop: "quantity",
        label: "Quantity",
        rules: [rules.number],
        type: "input-number",
    },
]);

onMounted ( () => {
    resetForm();
})
</script>
